> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote

> This API returns an executable quote for swapping, bridging and calling



## OpenAPI

````yaml post /quote/v2
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /quote/v2:
    post:
      requestBody:
        content:
          application/json:
            schema:
              properties:
                user:
                  type: string
                  description: >-
                    Address that is depositing funds on the origin chain and
                    submitting transactions or signatures
                  default: '0x03508bb71268bba25ecacc8f620e01866650532c'
                recipient:
                  type: string
                  description: >-
                    Address that is receiving the funds on the destination
                    chain, if not specified then this will default to the user
                    address
                originChainId:
                  type: number
                  default: 8453
                destinationChainId:
                  type: number
                  default: 10
                originCurrency:
                  type: string
                  default: '0x0000000000000000000000000000000000000000'
                destinationCurrency:
                  type: string
                  default: '0x0000000000000000000000000000000000000000'
                amount:
                  type: string
                  pattern: ^[0-9]+$
                  description: >-
                    Amount to swap as the base amount (can be switched to exact
                    input/output using the dedicated flag), denoted in the
                    smallest unit of the specified currency (e.g., wei for ETH)
                  default: '1000000000000000000'
                tradeType:
                  type: string
                  description: >-
                    Whether to use the amount as the output or the input for the
                    basis of the swap
                  enum:
                    - EXACT_INPUT
                    - EXACT_OUTPUT
                    - EXPECTED_OUTPUT
                  default: EXACT_INPUT
                txs:
                  type: array
                  items:
                    type: object
                    properties:
                      to:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                      value:
                        type: string
                      data:
                        type: string
                        pattern: ^0x[a-fA-F0-9]*$
                      originalTxValue:
                        type: string
                txsGasLimit:
                  type: number
                  description: Total gas limit for the destination chain call transactions
                authorizationList:
                  type: array
                  items:
                    type: object
                    properties:
                      chainId:
                        type: number
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                      nonce:
                        type: number
                      yParity:
                        type: number
                      r:
                        type: string
                      s:
                        type: string
                    required:
                      - chainId
                      - address
                      - nonce
                      - yParity
                      - r
                      - s
                  description: >-
                    Authorization list for EIP-7702 transactions to be executed
                    on destination chain
                additionalData:
                  type: object
                  description: Additional data needed for specific routes
                  properties:
                    userPublicKey:
                      type: string
                      description: >-
                        If the request originates from Bitcoin and the user is a
                        P2SH address, the public key is needed to be able to
                        generate the transaction data
                referrer:
                  type: string
                referrerAddress:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                refundTo:
                  type: string
                  description: >-
                    Address to send the refund to in the case of failure, if not
                    specified then the recipient address or user address is used
                refundOnOrigin:
                  type: boolean
                  description: Always refund on the origin chain in case of any issues
                  deprecated: true
                topupGas:
                  type: boolean
                  description: >-
                    If set, the destination fill will include a gas topup to the
                    recipient (only supported for EVM chains if the requested
                    currency is not the gas currency on the destination chain)
                topupGasAmount:
                  type: string
                  description: >-
                    The destination gas topup amount in USD decimal format, e.g
                    100000 = $1. topupGas is required to be enabled. Defaults to
                    2000000 ($2)
                enableTrueExactOutput:
                  type: boolean
                  default: false
                  description: >-
                    Enabling will send any swap surplus when doing exact output
                    operations to the solver EOA, otherwise it will be swept to
                    the recipient
                explicitDeposit:
                  type: boolean
                  default: true
                  description: >-
                    Enable this to avoid direct transfers to the depository
                    (only relevant for EVM and v2 protocol flow)
                useExternalLiquidity:
                  type: boolean
                  description: >-
                    Enable this to use canonical+ bridging, trading speed for
                    more liquidity
                useFallbacks:
                  type: boolean
                  description: Enable this for specific fallback routes
                usePermit:
                  type: boolean
                  description: >-
                    Enable this to use permit (eip3009) when bridging, only
                    works on supported currency such as usdc
                permitExpiry:
                  type: number
                  description: >-
                    How long the permit remains valid, in seconds. Defaults to
                    10 minutes.
                useDepositAddress:
                  type: boolean
                  description: >-
                    Enable this to use a deposit address when bridging, in
                    scenarios where calldata cannot be sent alongside the
                    transaction. only works on native currency bridges. For new
                    requests, EXACT_OUTPUT is only supported when strict is also
                    enabled.
                strict:
                  type: boolean
                  description: >-
                    When used with useDepositAddress, enables a strict deposit
                    address that is tied to a specific order. Underpayments fail
                    and refund, exact payments fill, and overpayments fill the
                    quoted amount while refunding the excess in a separate
                    refund leg. EXACT_OUTPUT deposit-address requests are only
                    supported in strict mode. Open-ended deposit addresses
                    remain the flexible path for variable deposited amounts.
                    Requires a refundTo address.
                slippageTolerance:
                  type: string
                  description: >-
                    Slippage tolerance for the swap, if not specified then the
                    slippage tolerance is automatically calculated to avoid
                    front-running. This value is in basis points (1/100th of a
                    percent), e.g. 50 for 0.5% slippage
                latePaymentSlippageTolerance:
                  type: string
                  description: >-
                    Slippage tolerance for destination gas in the event that the
                    deposit occurs after the order deadline, and more gas is
                    required for the solver to execute the destination
                    transaction.
                appFees:
                  type: array
                  items:
                    type: object
                    properties:
                      recipient:
                        type: string
                        description: Address that will receive the app fee
                      fee:
                        type: string
                        pattern: ^-?[0-9]*\.?[0-9]+$
                        description: >-
                          App fees to be charged for execution in basis points,
                          e.g. 100 = 1%
                    description: App fees to be charged for execution
                gasLimitForDepositSpecifiedTxs:
                  type: number
                  description: >-
                    If the request involves specifying transactions to be
                    executed during the deposit transaction, an explicit gas
                    limit must be set when requesting the quote
                forceSolverExecution:
                  type: boolean
                  description: >-
                    Force executing swap requests via the solver (by default,
                    same-chain swap requests are self-executed)
                subsidizeFees:
                  type: boolean
                  description: >-
                    If the sponsor should pay for the fees associated with the
                    request. Includes gas topup amounts.
                sponsoredFeeComponents:
                  type: array
                  items:
                    type: string
                    enum:
                      - execution
                      - swap
                      - relay
                      - app
                  minItems: 1
                  uniqueItems: true
                  description: >-
                    The fee components to sponsor for swap execution kinds.
                    Requires subsidizeFees=true. Defaults to all components when
                    omitted.
                maxSubsidizationAmount:
                  type: string
                  description: >-
                    The max subsidization amount in USDC decimal format, e.g
                    1000000 = $1. subsidizeFees must be enabled. The sponsor
                    will cover fees up to this buffered cap and the user pays
                    any remainder.
                subsidizeRent:
                  type: boolean
                  description: >-
                    If the sponsor should pay for the solana rent associated
                    with the request.
                includedSwapSources:
                  type: array
                  items:
                    type: string
                  description: Swap sources to include for swap routing.
                excludedSwapSources:
                  type: array
                  items:
                    type: string
                  description: Swap sources to exclude for swap routing.
                includedOriginSwapSources:
                  type: array
                  items:
                    type: string
                  description: Swap sources to include for swap routing on origin.
                includedDestinationSwapSources:
                  type: array
                  items:
                    type: string
                  description: Swap sources to include for swap routing on destination.
                originGasOverhead:
                  type: number
                  description: >-
                    The gas overhead for the origin chain, this is used to
                    calculate the gas fee for the origin chain when the solver
                    is executing a gasless transaction on the origin chain
                depositFeePayer:
                  type: string
                  description: >-
                    The payer to be set for deposit transactions on solana. This
                    account must have enough for fees and rent.
                maxRouteLength:
                  type: number
                  description: >-
                    Maximum number of hops to use in solana swap routing. Can
                    reduce transaction size.
                useSharedAccounts:
                  type: boolean
                  description: Prevents certain ATA creation instructions in solana routing
                includeComputeUnitLimit:
                  type: boolean
                  description: >-
                    Whether to include compute unit limit instruction for solana
                    origin requests.
                overridePriceImpact:
                  type: boolean
                  description: Whether to ignore price impact errors.
                disableOriginSwaps:
                  type: boolean
                  description: Whether to disable origin swaps.
                fixedRate:
                  type: string
                  description: The rate to charge for fixed spread quotes.
              required:
                - user
                - originChainId
                - destinationChainId
                - originCurrency
                - destinationCurrency
                - amount
                - tradeType
              type: object
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  steps:
                    type: array
                    description: >-
                      An array of steps detailing what needs to be done to
                      bridge, steps includes multiple items of the same kind
                      (signature, transaction, etc)
                    example:
                      - id: deposit
                        action: Confirm transaction in your wallet
                        description: >-
                          Depositing funds to the relayer to execute the swap
                          for USDC
                        kind: transaction
                        requestId: >-
                          0x92b99e6e1ee1deeb9531b5ad7f87091b3d71254b3176de9e8b5f6c6d0bd3a331
                        items:
                          - status: incomplete
                            data:
                              from: '0x0CccD55A5Ac261Ea29136831eeaA93bfE07f5Db6'
                              to: '0xf70da97812cb96acdf810712aa562db8dfa3dbef'
                              data: '0x00fad611'
                              value: '1000000000000000000'
                              maxFeePerGas: '12205661344'
                              maxPriorityFeePerGas: '2037863396'
                              chainId: 1
                            check:
                              endpoint: >-
                                /intents/status?requestId=0x92b99e6e1ee1deeb9531b5ad7f87091b3d71254b3176de9e8b5f6c6d0bd3a331
                              method: GET
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier tied to the step
                          enum:
                            - deposit
                            - approve
                            - authorize
                            - authorize1
                            - authorize2
                            - swap
                            - send
                        action:
                          type: string
                          description: A call to action for the step
                        description:
                          type: string
                          description: A short description of the step and what it entails
                        kind:
                          type: string
                          description: >-
                            The kind of step, can either be a transaction or a
                            signature. Transaction steps require submitting a
                            transaction while signature steps require submitting
                            a signature
                        requestId:
                          type: string
                          description: >-
                            A unique identifier for this step, tying all related
                            transactions together
                        depositAddress:
                          type: string
                          description: The deposit address for the bridge request
                        items:
                          type: array
                          description: >-
                            While uncommon it is possible for steps to contain
                            multiple items of the same kind
                            (transaction/signature) grouped together that can be
                            executed simultaneously.
                          items:
                            type: object
                            properties:
                              status:
                                type: string
                                description: >-
                                  Can either be complete or incomplete, this can
                                  be locally controlled once the step item is
                                  completed (depending on the kind) and the
                                  check object (if returned) has been verified.
                                  Once all step items are complete, the bridge
                                  is complete
                              data: {}
                              check:
                                type: object
                                description: >-
                                  Details an endpoint and a method you should
                                  poll to get confirmation, the endpoint should
                                  return a boolean success flag which can be
                                  used to determine if the step item is complete
                                properties:
                                  endpoint:
                                    type: string
                                    description: >-
                                      The endpoint to confirm that the step item
                                      was successfully completed
                                  method:
                                    type: string
                                    description: The REST method to access the endpoint
                      required:
                        - id
                        - action
                        - description
                        - kind
                        - items
                  fees:
                    type: object
                    properties:
                      gas:
                        description: Origin chain gas fee
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                      relayer:
                        description: >-
                          Combination of the relayerGas and relayerService to
                          give you the full relayer fee
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                      relayerGas:
                        description: Destination chain gas fee
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                      relayerService:
                        description: >-
                          Fees paid to the relay solver, note that this value
                          can be negative (which represents network rewards for
                          moving in a direction that optimizes liquidity
                          distribution)
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                      app:
                        description: >-
                          Fees paid to the app. Currency will be the same as the
                          relayer fee currency. This needs to be claimed later
                          by the app owner and is not immediately distributed to
                          the app
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                      subsidized:
                        description: >-
                          The amount of fees for the request that are subsidized
                          by the request sponsor. Does not include deposit
                          origin gas unless it is a permit based deposit.
                        type: object
                        example:
                          currency:
                            chainId: 8453
                            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                            symbol: USDC
                            name: USD Coin
                            decimals: 6
                            metadata:
                              logoURI: >-
                                https://ethereum-optimism.github.io/data/USDC/logo.png
                              verified: false
                              isNative: false
                          amount: '30754920'
                          amountFormatted: '30.75492'
                          amountUsd: '30.901612'
                          minimumAmount: '30454920'
                        properties:
                          currency:
                            type: object
                            properties:
                              chainId:
                                type: number
                              address:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              decimals:
                                type: number
                              metadata:
                                type: object
                                properties:
                                  logoURI:
                                    type: string
                                  verified:
                                    type: boolean
                                  isNative:
                                    type: boolean
                          amount:
                            type: string
                          amountFormatted:
                            type: string
                          amountUsd:
                            type: string
                          minimumAmount:
                            type: string
                  feeSponsorship:
                    type: object
                    description: >-
                      Granular fee sponsorship details derived from the solver's
                      internal sponsorship resolution.
                    properties:
                      quoted:
                        description: >-
                          The quote-time sponsorship expectation for the
                          request.
                        type: object
                        properties:
                          selectedComponents:
                            type: array
                            description: >-
                              The normalized sponsorship buckets selected for
                              this request.
                            items:
                              type: string
                              enum:
                                - execution
                                - swap
                                - relay
                                - app
                          maxSubsidizationAmount:
                            type: string
                            description: >-
                              The requested sponsorship cap in USD micro-units,
                              when one was configured for the request.
                          capHit:
                            type: boolean
                            description: >-
                              Whether the configured sponsorship cap limited the
                              selected fee buckets for this phase.
                          components:
                            type: object
                            description: >-
                              Per-bucket sponsorship details for the four
                              sponsorable fee components.
                            properties:
                              execution:
                                description: Execution fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                required:
                                  - selected
                                  - total
                                  - sponsored
                                  - userPays
                              swap:
                                description: Swap fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                required:
                                  - selected
                                  - total
                                  - sponsored
                                  - userPays
                              relay:
                                description: Relay protocol fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                required:
                                  - selected
                                  - total
                                  - sponsored
                                  - userPays
                              app:
                                description: App fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                required:
                                  - selected
                                  - total
                                  - sponsored
                                  - userPays
                            required:
                              - execution
                              - swap
                              - relay
                              - app
                          sponsoredTotal:
                            description: The total amount sponsored for this phase.
                            type: object
                            example:
                              currency:
                                chainId: 8453
                                address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                                symbol: USDC
                                name: USD Coin
                                decimals: 6
                                metadata:
                                  logoURI: >-
                                    https://ethereum-optimism.github.io/data/USDC/logo.png
                                  verified: false
                                  isNative: false
                              amount: '30754920'
                              amountFormatted: '30.75492'
                              amountUsd: '30.901612'
                              minimumAmount: '30454920'
                            properties:
                              currency:
                                type: object
                                properties:
                                  chainId:
                                    type: number
                                  address:
                                    type: string
                                  symbol:
                                    type: string
                                  name:
                                    type: string
                                  decimals:
                                    type: number
                                  metadata:
                                    type: object
                                    properties:
                                      logoURI:
                                        type: string
                                      verified:
                                        type: boolean
                                      isNative:
                                        type: boolean
                              amount:
                                type: string
                              amountFormatted:
                                type: string
                              amountUsd:
                                type: string
                              minimumAmount:
                                type: string
                          userPaysTotal:
                            description: >-
                              The total amount the user paid across the
                              sponsorable fee buckets for this phase.
                            type: object
                            example:
                              currency:
                                chainId: 8453
                                address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                                symbol: USDC
                                name: USD Coin
                                decimals: 6
                                metadata:
                                  logoURI: >-
                                    https://ethereum-optimism.github.io/data/USDC/logo.png
                                  verified: false
                                  isNative: false
                              amount: '30754920'
                              amountFormatted: '30.75492'
                              amountUsd: '30.901612'
                              minimumAmount: '30454920'
                            properties:
                              currency:
                                type: object
                                properties:
                                  chainId:
                                    type: number
                                  address:
                                    type: string
                                  symbol:
                                    type: string
                                  name:
                                    type: string
                                  decimals:
                                    type: number
                                  metadata:
                                    type: object
                                    properties:
                                      logoURI:
                                        type: string
                                      verified:
                                        type: boolean
                                      isNative:
                                        type: boolean
                              amount:
                                type: string
                              amountFormatted:
                                type: string
                              amountUsd:
                                type: string
                              minimumAmount:
                                type: string
                        required:
                          - selectedComponents
                          - capHit
                          - components
                          - sponsoredTotal
                          - userPaysTotal
                      actual:
                        description: >-
                          The post-solve sponsorship outcome recorded for the
                          request.
                        type: object
                        properties:
                          selectedComponents:
                            type: array
                            description: >-
                              The normalized sponsorship buckets selected for
                              this request.
                            items:
                              type: string
                              enum:
                                - execution
                                - swap
                                - relay
                                - app
                          maxSubsidizationAmount:
                            type: string
                            description: >-
                              The requested sponsorship cap in USD micro-units,
                              when one was configured for the request.
                          capHit:
                            type: boolean
                            description: >-
                              Whether the configured sponsorship cap limited the
                              selected fee buckets for this phase.
                          components:
                            type: object
                            description: >-
                              Per-bucket sponsorship details for the four
                              sponsorable fee components.
                            properties:
                              execution:
                                description: Execution fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                required:
                                  - selected
                                  - total
                                  - sponsored
                                  - userPays
                              swap:
                                description: Swap fee sponsorship details.
                                type: object
                                properties:
                                  selected:
                                    type: boolean
                                    description: >-
                                      Whether this fee bucket was selected for
                                      sponsorship.
                                  total:
                                    description: >-
                                      The full amount charged for this fee
                                      bucket.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  sponsored:
                                    description: >-
                                      The portion of this fee bucket covered by
                                      the sponsor.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
                                        type: string
                                      amountUsd:
                                        type: string
                                      minimumAmount:
                                        type: string
                                  userPays:
                                    description: >-
                                      The portion of this fee bucket that
                                      remained user-paid.
                                    type: object
                                    example:
                                      currency:
                                        chainId: 8453
                                        address: >-
                                          0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                        symbol: USDC
                                        name: USD Coin
                                        decimals: 6
                                        metadata:
                                          logoURI: >-
                                            https://ethereum-optimism.github.io/data/USDC/logo.png
                                          verified: false
                                          isNative: false
                                      amount: '30754920'
                                      amountFormatted: '30.75492'
                                      amountUsd: '30.901612'
                                      minimumAmount: '30454920'
                                    properties:
                                      currency:
                                        type: object
                                        properties:
                                          chainId:
                                            type: number
                                          address:
                                            type: string
                                          symbol:
                                            type: string
                                          name:
                                            type: string
                                          decimals:
                                            type: number
                                          metadata:
                                            type: object
                                            properties:
                                              logoURI:
                                                type: string
                                              verified:
                                                type: boolean
                                              isNative:
                                                type: boolean
                                      amount:
                                        type: string
                                      amountFormatted:
[...]
